  decrement_position_by_tenth:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | float * 10 - 1 | round}}"

  increment_position_by_tenth:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | float * 10 + 1 | round}}"
  decrement_position_by_1:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 - 10 | round}}"

  increment_position_by_1:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 + 10 | round}}"

  decrement_position_by_10:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 - 100 | round}}"

  increment_position_by_10:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 + 100 | round}}"

  decrement_position_by_100:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 - 1000 | round}}"

  increment_position_by_100:
    sequence:
      - service: script.mqtt_pos
        data:
          pos: "{{ states('sensor.meyer_position_raw') | int * 10 + 1000 | round}}"

